# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Tea
Summary:	Crypt::Tea - Tiny Encryption Algorithm in pure Perl
Summary(pl):	Crypt::Tea - Tiny Encryption Algorithm w samym Perlu
Name:		perl-Crypt-Tea
Version:	1.43
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements TEA, the Tiny Encryption Algorithm, and some
Modes of Use based on CBC, compatibly in both Perl and JavaScript.
This enables CGI scripts to communicate with browsers. The
functionality of this Tea.pm is quite different from Abhijit
Menon-Sen's TEA.pm; the encryption is done in pure Perl, all
cyphertext is ascii-encoded, and notably there is a subroutine to
return JavaScript code which implements compatible functions in
JavaScript. Tea.pm was written to give an encryption engine which
could be dropped into both ends of an http connection, in Perl at the
CGI end and in JavaScript at the browser end.

%description -l pl
Ten modu jest implementacj TEA (Tiny Encryption Algorithm) i paru
trybw dziaania bazowanych na CBC, kompatybilnych z Perlem i
JavaScriptem. Pozwala to skryptom CGI komunikowa si z przegldark.
Funkcjonalno tego moduu (Tea.pm) nieco rni si od moduu TEA.pm
autorstwa Abhijita Menon-Sena; szyfrowanie jest robione w czystym
Perlu, cay zaszyfrowany tekst jest kodowany jako ASCII, ponadto jest
funkcja zwracajca kod w JavaScripcie, ktry ma zaimplementowane
kompatybilne funkcje. Tea.pm zosta napisany, by da silnik
szyfrowania, ktrego mona uy po obu stronach poczenia HTTP: w
Perlu po stronie CGI i w JavaScripcie po stronie przegldarki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/Crypt/Tea.pm
%{_mandir}/man1/tea.1*
%{_mandir}/man3/Crypt::Tea.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Tea.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:04  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/26 14:21:37  ankry
- version 1.43

Revision 1.2  2002/09/08 15:50:12  radek
- version 1.42, cosmetics

Revision 1.1  2002/08/02 20:06:33  qboosh
- new
